petsc-3.4.2 2013-07-02

# VecGetSize

Returns the global number of elements of the vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetSize(Vec x,PetscInt *size)

Not Collective

### Input Parameter

x -the vector

### Output Parameters

size -the global length of the vector

### See Also

VecGetLocalSize()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex7.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex6f90.F.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex38.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex2.c.html